# houses and princes 
# input (read only) datasets
houses:
  type: yaml.YAMLDataSet
  filepath: data/01_raw/yaml/houses.yaml

houses_trigram:
  type: json.JSONDataSet
  filepath: data/01_raw/json/house_trigram.json

prince_bigram:
  type: json.JSONDataSet
  filepath: data/01_raw/json/prince_bigram.json
# ________________________________________________________________________
# BOURBON
# input (read only) dataset
bourbon:
  type: actesdataset.XMLDataSetCollection
  housename: bourbon
  folderpath: data/01_raw/xml/Bourbon
  xsltstylesheet: templates/xsl/actes_princiers.xsl

# input (read only) dataset
bourbon_json:
  type: actesdataset.BsXMLDataSetCollection
  housename: bourbon
  folderpath: data/01_raw/xml/Bourbon

# _________________________________________________________________________

# output (write) **pseudo xml** dataset
bourbon_xmlcontent:
  type: actesdataset.XMLDataSetCollection
  housename: bourbon
  folderpath: data/02_intermediate/Bourbon/pseudoxml
  xsltstylesheet: templates/xsl/actes_princiers.xsl

# input (read) **pseudo xml** dataset
# as it is **not** regular xml, an xml loader cannot be used
bourbon_pseudoxmlcontent:
  type: actesdataset.TextDataSetCollection
  housename: bourbon
  folderpath: data/02_intermediate/Bourbon/pseudoxml

# input (read) and output (write) dataset
bourbon_jsonoutput:
  type: actesdataset.JSONDataSetCollection
  housename: bourbon
  folderpath: data/02_intermediate/Bourbon/json

# output (write) and input (read) dataset
bourbon_fulljsonoutput:
  type: actesdataset.JSONDataSetCollection
  housename: bourbon
  folderpath: data/02_intermediate/Bourbon/fulljson

# ________________________________________________________________________
# BERRY
# input (read only) dataset
berry:
  type: actesdataset.XMLDataSetCollection
  housename: berry
  folderpath: data/01_raw/xml/Berry
  xsltstylesheet: templates/xsl/actes_princiers.xsl

# input (read only) dataset
berry_json:
  type: actesdataset.BsXMLDataSetCollection
  housename: berry
  folderpath: data/01_raw/xml/Berry

# _________________________________________________________________________

# output (write) **pseudo xml** dataset
berry_xmlcontent:
  type: actesdataset.XMLDataSetCollection
  housename: berry
  folderpath: data/02_intermediate/Berry/pseudoxml
  xsltstylesheet: templates/xsl/actes_princiers.xsl

# input (read) **pseudo xml** dataset
# as it is **not** regular xml, an xml loader cannot be used
berry_pseudoxmlcontent:
  type: actesdataset.TextDataSetCollection
  housename: berry
  folderpath: data/02_intermediate/Berry/pseudoxml

# input (read) and output (write) dataset
berry_jsonoutput:
  type: actesdataset.JSONDataSetCollection
  housename: berry
  folderpath: data/02_intermediate/Berry/json

# output (write) and input (read) dataset
berry_fulljsonoutput:
  type: actesdataset.JSONDataSetCollection
  housename: berry
  folderpath: data/02_intermediate/Berry/fulljson

# ________________________________________________________________________
# ANJOU
# input (read only) dataset
anjou:
  type: actesdataset.XMLDataSetCollection
  housename: anjou
  folderpath: data/01_raw/xml/Anjou
  xsltstylesheet: templates/xsl/actes_princiers.xsl

# input (read only) dataset
anjou_json:
  type: actesdataset.BsXMLDataSetCollection
  housename: anjou
  folderpath: data/01_raw/xml/Anjou

# _________________________________________________________________________

# output (write) **pseudo xml** dataset
anjou_xmlcontent:
  type: actesdataset.XMLDataSetCollection
  housename: anjou
  folderpath: data/02_intermediate/Anjou/pseudoxml
  xsltstylesheet: templates/xsl/actes_princiers.xsl

# input (read) **pseudo xml** dataset
# as it is **not** regular xml, an xml loader cannot be used
anjou_pseudoxmlcontent:
  type: actesdataset.TextDataSetCollection
  housename: anjou
  folderpath: data/02_intermediate/Anjou/pseudoxml

# input (read) and output (write) dataset
anjou_jsonoutput:
  type: actesdataset.JSONDataSetCollection
  housename: anjou
  folderpath: data/02_intermediate/Anjou/json

# output (write) and input (read) dataset
anjou_fulljsonoutput:
  type: actesdataset.JSONDataSetCollection
  housename: anjou
  folderpath: data/02_intermediate/Anjou/fulljson

